canfigger v0.3.2 Lightweight config file parser library

Loading...
Searching...
No Matches
Data Fields
AppConfig_t Struct Reference

## Data Fields
char | host [MAX_STR_LEN]
char | log_level [MAX_STR_LEN]
char | description [MAX_STR_LEN]
int | timeout
uint8_t | max_retries
uint16_t | port
uint32_t | max_connections
bool | verbose
uint32_t | bet_amounts [MAX_NUMERIC_LIST]
uint8_t | bet_amount_count
uint32_t | difficulty_levels [MAX_NUMERIC_LIST]
uint8_t | difficulty_level_count
uint32_t | port_list [MAX_NUMERIC_LIST]
uint8_t | port_list_count

## Detailed Description

Definition at line 42 of file example-02.c.

## Field Documentation

## ◆ bet_amount_count

uint8_t AppConfig_t::bet_amount_count

Definition at line 52 of file example-02.c.

## ◆ bet_amounts

uint32_t AppConfig_t::bet_amounts[MAX_NUMERIC_LIST]

Definition at line 51 of file example-02.c.

## ◆ description

char AppConfig_t::description[MAX_STR_LEN]

Definition at line 45 of file example-02.c.

## ◆ difficulty_level_count

uint8_t AppConfig_t::difficulty_level_count

Definition at line 54 of file example-02.c.

## ◆ difficulty_levels

uint32_t AppConfig_t::difficulty_levels[MAX_NUMERIC_LIST]

Definition at line 53 of file example-02.c.

## ◆ host

char AppConfig_t::host[MAX_STR_LEN]

Definition at line 43 of file example-02.c.

## ◆ log_level

char AppConfig_t::log_level[MAX_STR_LEN]

Definition at line 44 of file example-02.c.

## ◆ max_connections

uint32_t AppConfig_t::max_connections

Definition at line 49 of file example-02.c.

## ◆ max_retries

uint8_t AppConfig_t::max_retries

Definition at line 47 of file example-02.c.

## ◆ port

uint16_t AppConfig_t::port

Definition at line 48 of file example-02.c.

## ◆ port_list

uint32_t AppConfig_t::port_list[MAX_NUMERIC_LIST]

Definition at line 55 of file example-02.c.

## ◆ port_list_count

uint8_t AppConfig_t::port_list_count

Definition at line 56 of file example-02.c.

## ◆ timeout

int AppConfig_t::timeout

Definition at line 46 of file example-02.c.

## ◆ verbose

bool AppConfig_t::verbose

Definition at line 50 of file example-02.c.

The documentation for this struct was generated from the following file:

- example-02.c